<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="stylesheets/listaAmbientes.css" />
    <script type="module" src="scripts/bootstrap.js"></script>
    <script src="node_modules/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.min.css" />
    <title>Peticiones</title>
  </head>
  <body>
    <%- include('navbar') %>
    <main>
      <!-- Add this inside the <main> section -->
    <% if (ambientes.length > 0) { %>
      <table id="tabla">
        <!-- Your existing table header -->
        <thead>
          <h3>Lista de Ambientes</h3>
          <tr>
            <th>Nombre</th>
            <th>Capacidad</th>
            <th>Descripcion</th>
            <th>Tipo</th>
            <th>Facilidades</th>
            <th>Activo</th>
          </tr>
        </thead>
        <tbody>
          <% for (let amb of ambientes) { %>
            <tr>
              <td><%= amb.nombreAmbiente %></td>
              <td><%= amb.capacidad %></td>
              <td><%= amb.descripcion %></td>
              <td><%= amb.Tipo.nombreTipo %></td>
              <td>
                <% amb.Facilidads.forEach( facilidad => { %>
                <span><%= facilidad.nombreFacilidad %></span>  
                <% }) %>
              </td>
              <td><%= amb.activo %></td>
            </tr>
          <% } %>
        </tbody>
      </table>

      <div class="pagination justify-content-center">
        <% if (numberOfPages > 1) { %>
          <% for (let i = 1; i <= numberOfPages; i++) { %>
            <a href="/lista-ambientes?page=<%= i %>" class="btn btn-secondary <%= i === page ? 'active' : '' %>"><%= i %></a>
          <% } %>
        <% } %>
      </div>

    <% } else { %>
      <!-- Display a message if no ambientes are available -->
      <p>No ambientes found.</p>
    <% } %>
    </main>
    <script src="scripts/listaAmbientes.js" type="module"></script>
  </body>
</html>
